<?php

function dashboard_transport_utility_expenses($from_month_display_order, $to_month_display_order, $expense_type_id=0) {
    
//    display_heading2('(Based on Goods Received Notes and Tax Free Item Costs)');    
    br();
    
    $month_ranges_array = dashboard_get_month_ranges_array($from_month_display_order, $to_month_display_order);
    $table_width = dashboard_calculate_table_width($month_ranges_array);
    
    start_table(TABLESTYLE, "width=$table_width%");
        
        $th = array("Vehicle");
            foreach ($month_ranges_array as $month) {
                $th[] = $month['month_name'];
            }
            $th[] = "Total";

            table_header($th);
            
            $from_month = get_month_by_display_order($from_month_display_order);
            $to_month = get_month_by_display_order($to_month_display_order);
            
            $from_date = $from_month['month_begin_date'];
            $to_date = $to_month['month_end_date'];
            
            $vehicles_res = dashboard_get_transport_utility_expense_vehicles($from_date, $to_date, $expense_type_id);
            
            $k = 0;
            
            
            while ($vehicle = db_fetch($vehicles_res)) {
                alt_table_row_color($k);

                $vehicle_id = $vehicle['vehicle_id'];
                $vehicle_name = get_vehicle_formatted_name($vehicle_id);
                label_cell($vehicle_name);
                
                foreach ($month_ranges_array as &$month) {
                    
                    $from_date = $month['month_begin'];
                    $to_date = $month['month_end'];
//                    $expense_type_id = $exp['expense_type_id'];
                    $parameters = "vid=".$vehicle_id."&expid=".$expense_type_id."&from_date=$from_date&to_date=$to_date";
                    $total = dashboard_get_transport_period_utility_expense_type_total($vehicle_id, $from_date, $to_date, $expense_type_id);

                    if($total != 0){
                        $str_count = get_dashboard_view_str(DASH_SC_TRANSPORT_UTILITY_EXPENSES, $parameters, number_format($total,2));
                        $month['month_value'] += $total;      
                    }else{
//                        $str_count = number_format($total,2);
                        $str_count = "";
                    }
                    label_cell($str_count, 'align=right');
                }   
                
                label_cell(number_format($vehicle['grand_total'],2), 'align=right');
                end_row();
            }
        
            dashboard_display_simple_month_totals($month_ranges_array);    
            
    end_table(2);
}
